gtkmm: Gdk::TextureError Class Reference

gtkmm 4.8.0

Public Types | Public Member Functions | List of all members
Gdk::TextureError Class Reference

`#include <gdkmm/texture.h>`

Inheritance diagram for Gdk::TextureError:
[legend]

## Public Types
enum | Code { TOO_LARGE , CORRUPT_IMAGE , UNSUPPORTED_CONTENT , UNSUPPORTED_FORMAT }
| Possible errors that can be returned by `Gdk::Texture` constructors. More...

## Public Member Functions
| TextureError (Code error_code, const Glib::ustring & error_message)
| TextureError (GError * gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
const char * | what () const noexcept override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
virtual const char * | what () const noexcept

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Member Enumeration Documentation

## ◆ Code

enum Gdk::TextureError::Code

Possible errors that can be returned by `Gdk::Texture` constructors.

Since gtkmm 4.6:

Enumerator
TOO_LARGE | Not enough memory to handle this image.
CORRUPT_IMAGE | The image data appears corrupted.
UNSUPPORTED_CONTENT | The image contains features that cannot be loaded.
UNSUPPORTED_FORMAT | The image format is not supported.

## Constructor & Destructor Documentation

## ◆ TextureError() [1/2]

Gdk::TextureError::TextureError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ TextureError() [2/2]

Gdk::TextureError::TextureError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gdk::TextureError::code | ( |  | ) | const